libdar::crit_in_place_EA_more_recent Class Reference
API

returns true if the EA of the first entry is more recent or equal to the one of the second entry More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions

| crit_in_place_EA_more_recent (const infinint &hourshift=0)
| crit_in_place_EA_more_recent (const crit_in_place_EA_more_recent &ref)=default
| crit_in_place_EA_more_recent (crit_in_place_EA_more_recent &&ref) noexcept=default
crit_in_place_EA_more_recent & | operator= (const crit_in_place_EA_more_recent &ref)=default
crit_in_place_EA_more_recent & | operator= (crit_in_place_EA_more_recent &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method More...
virtual criterium * | clone () const override
| clone construction method More...
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const =0
| criterum interface method More...
virtual criterium * | clone () const =0
| clone construction method More...

## Private Attributes

infinint | x_hourshift

## Detailed Description

returns true if the EA of the first entry is more recent or equal to the one of the second entry

if no EA are present in 'to be added' or if it even not an inode true is returned. If 'in place' does not have EA or is even not an inode true is returned unless 'to be added' has EA present.

Note
  that the comparison is done on the ctime, EA may be just marked as saved in the archive of reference or be saved in the current archive, this does not have any impact on the comparison.

Definition at line 360 of file criterium.hpp.

## Constructor & Destructor Documentation

## crit_in_place_EA_more_recent()

libdar::crit_in_place_EA_more_recent::crit_in_place_EA_more_recent | ( | const infinint & | hourshift = `0` | ) |

inline

Definition at line 363 of file criterium.hpp.

## Member Function Documentation

## clone()

virtual criterium * libdar::crit_in_place_EA_more_recent::clone | ( |  | ) | const

inlineoverridevirtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 372 of file criterium.hpp.

## evaluate()

virtual bool libdar::crit_in_place_EA_more_recent::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second
| ) |  | const

overridevirtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

## Member Data Documentation

## x_hourshift

infinint libdar::crit_in_place_EA_more_recent::x_hourshift

private

Definition at line 375 of file criterium.hpp.

The documentation for this class was generated from the following file:

- criterium.hpp